      subroutine line_width(i)
c
c Set the line width in pixels. 
c 
c James Blake
c @(#)line_width.f	1.1  4/3/89 
c
      include 'device_type.h'
c
      if (color_ws .or. mono_ws) then
         call cflnwidth(float(i))
      elseif (PostScript) then
         call newpen(i)
      endif
      return
      end 
